function [res] = InProd(u1,u2,dx,dy,uid)
% function [res] = InProd(u1,u2,dx,dy,uid)
% This function takes the inner product of <u1,u2> over the domain 
%
% INPUTS:
%       u1:      Vector containing values of u1
%       u2:      Vector containing values of u2
%       dx:      x-discretization size
%       dy:      y-discretization size
%       uid:     interior node (boundaries excluded)
%       
% OUTPUTS:
%       res:    Returns  dx*dy*(u1'*u2)
%
% Authors:   Matt Ueckermann, Pierre Lermusiaux, Pat Haley for MIT course 2.29


res = dx*dy*(u1(uid)'*u2(uid));


